#ifndef GLOB2_INCLUDE
#define GLOB2_INCLUDE

struct LFNFileBlk {
  unsigned long  lfn_attrib;
  unsigned short lfn_creationTime[4];
  unsigned short lfn_lastAccessTime[4];
  unsigned short lfn_lastModificationTime[4];
  unsigned long  lfn_fileSize[2];
  unsigned char  rsvd[8];
  unsigned char  longFileName[260];
  unsigned char  shortFileName[14];
  union {
    struct {
      unsigned short iterationHandle;
      unsigned short unicodeProblems;
    } lfn;
    struct {
      char ff_reserved[21];
    } sfn;
  } xtra;
};

extern int useLFN;
extern unsigned int GetMSWin9XVer (void);
extern int twoPathMasksWalkExpand (char * pathMask1, const char * pathMask2, 
    int (* cb) (void * parm, const char * f0, const char * f1), void * parm);
extern int onePathMasksWalkExpand (char * pathMask, 
    int (* cb) (void * parm, const char * f), void * parm);
extern int getShortFileNamePath (char * outfn, const char * infn);

#endif
