#include <dir.h>
#include <stdio.h>
#include <ctype.h>
#include <alloc.h>
#include "glob2.h"

static int dumpFiles (void * parm, const char * f0, const char * f1) {
    parm = parm;
    printf ("%s %s\n", f0, f1);
    return 0;
}

static int dumpExpand (char * pathMask1, const char * pathMask2) {
    return twoPathMasksWalkExpand (pathMask1, pathMask2, dumpFiles, NULL);
}


int main (int argc, char * argv[]) {
    if (argc < 3) {
        printf ("Syntax: %s [filemask1] [filemask2]\n", argv[0]);
        return -__LINE__;
    }
    useLFN = (GetMSWin9XVer () >= 0x0400);
    return dumpExpand (argv[1], argv[2]);
}
